FSCK.FAT(8)

BEZEICHNUNG
fsck.fat - MS-DOS-Dateisysteme überprüfen und reparieren

ÜBERSICHT
fsck.fat [OPTIONEN] GERÄT

BESCHREIBUNG
fsck.fat überprüft die Konsistenz von MS-DOS-Dateisystemen und versucht optional, diese zu reparieren.

Die folgenden Dateisystemprobleme können korrigiert werden (in dieser Reihenfolge):

*   Die Dateizuweisungstabelle (FAT) enthält ungültige Cluster-Nummern. Die Cluster werden zu EOF (Dateiende) geändert.

*   Die Kette der Datei-Cluster enthält eine Schleife. Die Schleife ist unterbrochen.

*   Fehlerhafte Cluster (Lesefehler). Die Cluster werden als fehlerhaft markiert und von den Dateien entfernt, denen sie gehören. Diese Überprüfung ist optional.

*   Die Verzeichnisse mit einer großen Anzahl fehlerhafter Einträge (wahrscheinlich beschädigt). Das Verzeichnis kann gelöscht werden.

*   Die Dateien . und .. sind keine Verzeichnisse. Diese können gelöscht oder umbenannt werden.

*   Die Verzeichnisse . und .. im Wurzelverzeichnis. Diese werden gelöscht.

*   Fehlerhafte Dateinamen. Diese können umbenannt werden.

*   Doppelte Verzeichniseinträge. Diese können gelöscht oder umbenannt werden.

*   Die Verzeichnisse mit einem Größenfeld eines von 0 verschiedenen Werts. Die Größe wird auf 0 gesetzt.

*   Das Verzeichnis . zeigt nicht auf das Elternverzeichnis. Der Startzeiger wird angepasst.

*   Das Verzeichnis .. zeigt nicht auf den Elterneintrag des Elternverzeichnisses. Der Startzeiger wird angepasst.

*   Die Nummer des Start-Clusters einer Datei ist ungültig. Die Datei wird abgeschnitten.

*   Die Datei enthält fehlerhafte oder freie Cluster. Die Datei wird abgeschnitten.

*   Die Kette der Datei-Cluster ist länger als durch die Größenfelder angezeigt wird. Die Datei wird abgeschnitten.

*   Zwei oder mehr Dateien teilen einen oder mehrere Cluster. Alle Dateien bis auf eine werden abgeschnitten. Falls die abzuschneidende Datei ein Verzeichnis ist, das schon gelesen wurde, wird die Dateisystemüberprüfung nach dem Abschneiden neu gestartet.

*   Die Kette der Datei-Cluster ist kürzer als durch die Größenfelder angezeigt wird. Die Datei wird abgeschnitten.

*   Die Cluster sind als benutzt markiert, aber gehören zu keiner Datei. Sie werden als frei markiert.

Zusätzlich werden die folgenden Probleme zwar erkannt, aber nicht repariert:

*   Ungültige Parameter im Bootsektor

*   Fehlende Einträge für . und .. in Nicht-Wurzelverzeichnissen

Wenn fsck.fat ein Dateisystem überprüft, sammelt es alle Änderungen im Speicher und führt sie erst aus, nachdem alle Überprüfungen abgeschlossen sind. Dies kann mit der Option -w deaktiviert werden.

OPTIONEN

-a  repariert das Dateisystem automatisch. Es ist kein Benutzereingriff erforderlich. Wann immer es mehr als eine Methode zur Lösung eines Problems gibt, wird die am wenigsten zerstörerische Methode gewählt.

-A  verwendet die Atari-Variante des MS-DOS-Dateisystems. Dies ist die Vorgabe, wenn fsck.fat auf einem Atari ausgeführt wird; in diesem Fall schaltet diese Option das Atari-Format aus. Es gibt einige kleine Unterschiede bei der Verwendung des Atari-Formats: Einige Bootsektor-Felder werden etwas anders interpretiert und die speziellen FAT-Einträge für EOF (Dateiende) und fehlerhafte Cluster können unterschiedlich sein. Unter MS-DOS wird 0xfff8 für EOF verwendet, unter Atari dagegen standardmäßig 0xffff, aber beide Systeme erkennen alle Werte von 0xfff8 bis 0xffff als EOF an. MS-DOS verwendet nur 0xfff7 für fehlerhafte Cluster, während unter Atari Werte von 0xfff0 bis 0xfff7 diesem Zweck dienen (wobei der Standardwert weiterhin 0xfff7 ist).

-b  führt eine Überprüfung des Bootsektors aus (nur mit Lesezugriff).

-c TABELLE
    verwendet die angegebene DOS-Zeichensatz-TABELLE zum Dekodieren kurzer Dateinamen. Standardmäßig wird die Zeichensatztabelle 437 verwendet.

-d PFAD
    löscht die angegebene Datei. Falls mehrere Dateien dieses Namens existieren, wird die erste gelöscht. Diese Option kann mehrfach angegeben werden.

-f  rettet ungenutzte Cluster-Ketten in Dateien. Standardmäßig werden ungenutzte Cluster zum freien Plattenplatz hinzugefügt, außer im automatischen Modus (-a).

-l  listet die Pfadnamen der verarbeiteten Dateien auf.

-n  aktiviert den »aktionslosen« Modus: Es wird nicht-interaktiv auf Fehler überprüft, aber nichts ins Dateisystem geschrieben.

-p  ist gleichbedeutend mit -a, zwecks Kompatibilität zu anderen *fsck-Programmen.

-r  repariert das Dateisystem interaktiv. Der Benutzer wird immer dann um eine Entscheidung gebeten, wenn es mehr als einen Ansatz zur Beseitigung einer Inkonsistenz gibt. Dies ist der Vorgabemodus. Die Option wird nur zwecks Abwärtskompatibilität beibehalten.

-t  markiert unlesbare Cluster als fehlerhaft.

-u PFAD
    versucht, das Löschen der angegebenen Datei rückgängig zu machen. fsck.fat versucht, eine Kette zusammenhängender, nicht zugewiesener Cluster beginnend beim Start-Cluster der wiederhergestellten Datei zuzuweisen. Diese Option kann mehrfach angegeben werden.

-v  aktiviert den ausführlichen Modus, in dem etwas mehr Ausgaben erzeugt werden.

-V  führt einen Überprüfungsdurchlauf aus. Die Dateisystemüberprüfung wird nach dem ersten Durchlauf wiederholt. Der zweite Durchlauf sollte niemals irgendwelche korrigierbaren Fehler melden. Er kann wesentlich länger als der erste Durchlauf dauern, da der erste Durchlauf eine lange Änderungsliste erstellt haben könnte, die für jedes Lesen der Platte ausgewertet werden muss.

-w  schreibt die Änderungen unmittelbar auf die Platte.

-y  ist gleichbedeutend mit -a (automatische Reparatur des Dateisystems), zwecks Kompatibilität zu anderen *fsck-Programmen.

EXIT-STATUS

0   Es wurden keine korrigierbaren Fehler entdeckt.

1   Es wurden korrigierbare Fehler entdeckt oder fsck.fat hat eine interne Inkonsistenz erkannt.

2   Benutzerfehler. fsck.fat hat nicht auf das Dateisystem zugegriffen.

DATEIEN

fsck0000.rec, fsck0001.rec, …
    Beim Reparieren eines beschädigten Dateisystems schreibt fsck.fat die wiederhergestellten Daten in Dateien namens fsckNNNN.rec in das Verzeichnis der obersten Ebene des Dateisystems.

FEHLER
Die Dateien . und .. werden nicht erstellt, wo es nötig ist. Es werden keine vollständig leeren Verzeichnisse entfernt. Mehr Diagnosemeldungen sollten ausgegeben werden. Zum Rückgängigmachen des Löschens einer Datei sollte ein anspruchsvollerer Algorithmus eingesetzt werden.

SIEHE AUCH
fatlabel(8)
mkfs.fat(8)

HOMEPAGE
Die Heimat des Projekts dosfstools ist seine GitHub-Projektseite (https://github.com/dosfstools/dosfstools).

AUTOREN
dosfstools wurde von Werner Almesberger (werner.almesberger@lrc.di.epfl.ch), , Roman Hodek und anderen geschrieben. Der aktuelle Betreuer ist Andreas Bombe (aeb@debian.org).

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.